Index: lemon/bits/vector_map.h
===================================================================
--- lemon/bits/vector_map.h	(revision 220)
+++ lemon/bits/vector_map.h	(revision 314)
@@ -29,22 +29,21 @@
 #include <lemon/concepts/maps.h>
 
-///\ingroup graphbits
-///
-///\file
-///\brief Vector based graph maps.
+//\ingroup graphbits
+//
+//\file
+//\brief Vector based graph maps.
 namespace lemon {
 
-  /// \ingroup graphbits
-  ///
-  /// \brief Graph map based on the std::vector storage.
-  ///
-  /// The VectorMap template class is graph map structure what
-  /// automatically updates the map when a key is added to or erased from
-  /// the map. This map type uses the std::vector to store the values.
-  ///
-  /// \tparam _Notifier The AlterationNotifier that will notify this map.
-  /// \tparam _Item The item type of the graph items.
-  /// \tparam _Value The value type of the map.
-  /// \todo Fix the doc: there is _Graph parameter instead of _Notifier.
+  // \ingroup graphbits
+  //
+  // \brief Graph map based on the std::vector storage.
+  //
+  // The VectorMap template class is graph map structure what
+  // automatically updates the map when a key is added to or erased from
+  // the map. This map type uses the std::vector to store the values.
+  //
+  // \tparam _Graph The graph this map is attached to.
+  // \tparam _Item The item type of the graph items.
+  // \tparam _Value The value type of the map.
   template <typename _Graph, typename _Item, typename _Value>
   class VectorMap
@@ -52,39 +51,39 @@
   private:
 
-    /// The container type of the map.
+    // The container type of the map.
     typedef std::vector<_Value> Container;
 
   public:
 
-    /// The graph type of the map.
+    // The graph type of the map.
     typedef _Graph Graph;
-    /// The item type of the map.
+    // The item type of the map.
     typedef _Item Item;
-    /// The reference map tag.
+    // The reference map tag.
     typedef True ReferenceMapTag;
 
-    /// The key type of the map.
+    // The key type of the map.
     typedef _Item Key;
-    /// The value type of the map.
+    // The value type of the map.
     typedef _Value Value;
 
-    /// The notifier type.
+    // The notifier type.
     typedef typename ItemSetTraits<_Graph, _Item>::ItemNotifier Notifier;
 
-    /// The map type.
+    // The map type.
     typedef VectorMap Map;
-    /// The base class of the map.
+    // The base class of the map.
     typedef typename Notifier::ObserverBase Parent;
 
-    /// The reference type of the map;
+    // The reference type of the map;
     typedef typename Container::reference Reference;
-    /// The const reference type of the map;
+    // The const reference type of the map;
     typedef typename Container::const_reference ConstReference;
 
 
-    /// \brief Constructor to attach the new map into the notifier.
-    ///
-    /// It constructs a map and attachs it into the notifier.
-    /// It adds all the items of the graph to the map.
+    // \brief Constructor to attach the new map into the notifier.
+    //
+    // It constructs a map and attachs it into the notifier.
+    // It adds all the items of the graph to the map.
     VectorMap(const Graph& graph) {
       Parent::attach(graph.notifier(Item()));
@@ -92,8 +91,8 @@
     }
 
-    /// \brief Constructor uses given value to initialize the map.
-    ///
-    /// It constructs a map uses a given value to initialize the map.
-    /// It adds all the items of the graph to the map.
+    // \brief Constructor uses given value to initialize the map.
+    //
+    // It constructs a map uses a given value to initialize the map.
+    // It adds all the items of the graph to the map.
     VectorMap(const Graph& graph, const Value& value) {
       Parent::attach(graph.notifier(Item()));
@@ -101,7 +100,8 @@
     }
 
-    /// \brief Copy constructor
-    ///
-    /// Copy constructor.
+  private:
+    // \brief Copy constructor
+    //
+    // Copy constructor.
     VectorMap(const VectorMap& _copy) : Parent() {
       if (_copy.attached()) {
@@ -111,11 +111,11 @@
     }
 
-    /// \brief Assign operator.
-    ///
-    /// This operator assigns for each item in the map the
-    /// value mapped to the same item in the copied map.
-    /// The parameter map should be indiced with the same
-    /// itemset because this assign operator does not change
-    /// the container of the map.
+    // \brief Assign operator.
+    //
+    // This operator assigns for each item in the map the
+    // value mapped to the same item in the copied map.
+    // The parameter map should be indiced with the same
+    // itemset because this assign operator does not change
+    // the container of the map.
     VectorMap& operator=(const VectorMap& cmap) {
       return operator=<VectorMap>(cmap);
@@ -123,10 +123,10 @@
 
 
-    /// \brief Template assign operator.
-    ///
-    /// The given parameter should be conform to the ReadMap
-    /// concecpt and could be indiced by the current item set of
-    /// the NodeMap. In this case the value for each item
-    /// is assigned by the value of the given ReadMap.
+    // \brief Template assign operator.
+    //
+    // The given parameter should be conform to the ReadMap
+    // concecpt and could be indiced by the current item set of
+    // the NodeMap. In this case the value for each item
+    // is assigned by the value of the given ReadMap.
     template <typename CMap>
     VectorMap& operator=(const CMap& cmap) {
@@ -142,16 +142,16 @@
   public:
 
-    /// \brief The subcript operator.
-    ///
-    /// The subscript operator. The map can be subscripted by the
-    /// actual items of the graph.
+    // \brief The subcript operator.
+    //
+    // The subscript operator. The map can be subscripted by the
+    // actual items of the graph.
     Reference operator[](const Key& key) {
       return container[Parent::notifier()->id(key)];
     }
 
-    /// \brief The const subcript operator.
-    ///
-    /// The const subscript operator. The map can be subscripted by the
-    /// actual items of the graph.
+    // \brief The const subcript operator.
+    //
+    // The const subscript operator. The map can be subscripted by the
+    // actual items of the graph.
     ConstReference operator[](const Key& key) const {
       return container[Parent::notifier()->id(key)];
@@ -159,7 +159,7 @@
 
 
-    /// \brief The setter function of the map.
-    ///
-    /// It the same as operator[](key) = value expression.
+    // \brief The setter function of the map.
+    //
+    // It the same as operator[](key) = value expression.
     void set(const Key& key, const Value& value) {
       (*this)[key] = value;
@@ -168,8 +168,8 @@
   protected:
 
-    /// \brief Adds a new key to the map.
-    ///
-    /// It adds a new key to the map. It called by the observer notifier
-    /// and it overrides the add() member function of the observer base.
+    // \brief Adds a new key to the map.
+    //
+    // It adds a new key to the map. It called by the observer notifier
+    // and it overrides the add() member function of the observer base.
     virtual void add(const Key& key) {
       int id = Parent::notifier()->id(key);
@@ -179,8 +179,8 @@
     }
 
-    /// \brief Adds more new keys to the map.
-    ///
-    /// It adds more new keys to the map. It called by the observer notifier
-    /// and it overrides the add() member function of the observer base.
+    // \brief Adds more new keys to the map.
+    //
+    // It adds more new keys to the map. It called by the observer notifier
+    // and it overrides the add() member function of the observer base.
     virtual void add(const std::vector<Key>& keys) {
       int max = container.size() - 1;
@@ -194,16 +194,16 @@
     }
 
-    /// \brief Erase a key from the map.
-    ///
-    /// Erase a key from the map. It called by the observer notifier
-    /// and it overrides the erase() member function of the observer base.
+    // \brief Erase a key from the map.
+    //
+    // Erase a key from the map. It called by the observer notifier
+    // and it overrides the erase() member function of the observer base.
     virtual void erase(const Key& key) {
       container[Parent::notifier()->id(key)] = Value();
     }
 
-    /// \brief Erase more keys from the map.
-    ///
-    /// Erase more keys from the map. It called by the observer notifier
-    /// and it overrides the erase() member function of the observer base.
+    // \brief Erase more keys from the map.
+    //
+    // Erase more keys from the map. It called by the observer notifier
+    // and it overrides the erase() member function of the observer base.
     virtual void erase(const std::vector<Key>& keys) {
       for (int i = 0; i < int(keys.size()); ++i) {
@@ -212,8 +212,8 @@
     }
 
-    /// \brief Buildes the map.
-    ///
-    /// It buildes the map. It called by the observer notifier
-    /// and it overrides the build() member function of the observer base.
+    // \brief Buildes the map.
+    //
+    // It buildes the map. It called by the observer notifier
+    // and it overrides the build() member function of the observer base.
     virtual void build() {
       int size = Parent::notifier()->maxId() + 1;
@@ -222,8 +222,8 @@
     }
 
-    /// \brief Clear the map.
-    ///
-    /// It erase all items from the map. It called by the observer notifier
-    /// and it overrides the clear() member function of the observer base.
+    // \brief Clear the map.
+    //
+    // It erase all items from the map. It called by the observer notifier
+    // and it overrides the clear() member function of the observer base.
     virtual void clear() {
       container.clear();
Index: lemon/color.h
===================================================================
--- lemon/color.h	(revision 209)
+++ lemon/color.h	(revision 313)
@@ -93,5 +93,5 @@
   extern const Color DARK_CYAN;
 
-  ///Map <tt>int</tt>s to different \ref Color "Color"s
+  ///Map <tt>int</tt>s to different <tt>Color</tt>s
 
   ///This map assigns one of the predefined \ref Color "Color"s to
Index: lemon/concept_check.h
===================================================================
--- lemon/concept_check.h	(revision 209)
+++ lemon/concept_check.h	(revision 285)
@@ -17,26 +17,10 @@
  */
 
-// This file contains a modified version of the concept checking
-// utility from BOOST.
-// See the appropriate copyright notice below.
-
-// (C) Copyright Jeremy Siek 2000.
-// Distributed under the Boost Software License, Version 1.0. (See
-// accompanying file LICENSE_1_0.txt or copy at
-// http://www.boost.org/LICENSE_1_0.txt)
-//
-// Revision History:
-//   05 May   2001: Workarounds for HP aCC from Thomas Matelich. (Jeremy Siek)
-//   02 April 2001: Removed limits header altogether. (Jeremy Siek)
-//   01 April 2001: Modified to use new <boost/limits.hpp> header. (JMaddock)
-//
-
-// See http://www.boost.org/libs/concept_check for documentation.
+// The contents of this file was inspired by the concept checking
+// utility of the BOOST library (http://www.boost.org).
 
 ///\file
 ///\brief Basic utilities for concept checking.
 ///
-///\todo Are we still using BOOST concept checking utility?
-///Is the BOOST copyright notice necessary?
 
 #ifndef LEMON_CONCEPT_CHECK_H
Index: lemon/concepts/digraph.h
===================================================================
--- lemon/concepts/digraph.h	(revision 220)
+++ lemon/concepts/digraph.h	(revision 263)
@@ -435,4 +435,5 @@
         NodeMap(const Digraph&, T) { }
 
+      private:
         ///Copy constructor
         NodeMap(const NodeMap& nm) : ReadWriteMap< Node, T >(nm) { }
@@ -457,4 +458,5 @@
         ///\e
         ArcMap(const Digraph&, T) { }
+      private:
         ///Copy constructor
         ArcMap(const ArcMap& em) : ReadWriteMap<Arc,T>(em) { }
Index: lemon/concepts/graph.h
===================================================================
--- lemon/concepts/graph.h	(revision 220)
+++ lemon/concepts/graph.h	(revision 263)
@@ -513,4 +513,5 @@
         NodeMap(const Graph&, T) { }
 
+      private:
         ///Copy constructor
         NodeMap(const NodeMap& nm) : ReadWriteMap< Node, T >(nm) { }
@@ -536,4 +537,5 @@
         ///\e
         ArcMap(const Graph&, T) { }
+      private:
         ///Copy constructor
         ArcMap(const ArcMap& em) : ReadWriteMap<Arc,T>(em) { }
@@ -559,4 +561,5 @@
         ///\e
         EdgeMap(const Graph&, T) { }
+      private:
         ///Copy constructor
         EdgeMap(const EdgeMap& em) : ReadWriteMap<Edge,T>(em) {}
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 220)
+++ lemon/concepts/graph_components.h	(revision 313)
@@ -983,5 +983,5 @@
     ///
     /// This class describes the common interface of the graph maps
-    /// (NodeMap, ArcMap), that is \ref maps-page "maps" which can be used to
+    /// (NodeMap, ArcMap), that is maps that can be used to
     /// associate data to graph descriptors (nodes or arcs).
     template <typename _Graph, typename _Item, typename _Value>
@@ -1006,4 +1006,6 @@
       /// Construct a new map for the graph and initalise the values.
       GraphMap(const Graph&, const Value&) {}
+
+    private:
       /// \brief Copy constructor.
       ///
@@ -1022,4 +1024,5 @@
       }
 
+    public:
       template<typename _Map>
       struct Constraints {
@@ -1031,11 +1034,12 @@
           _Map a2(g,t);
           // Copy constructor.
-          _Map b(c);
-
-          ReadMap<Key, Value> cmap;
-          b = cmap;
-
+          // _Map b(c);
+
+          // ReadMap<Key, Value> cmap;
+          // b = cmap;
+
+          ignore_unused_variable_warning(a);
           ignore_unused_variable_warning(a2);
-          ignore_unused_variable_warning(b);
+          // ignore_unused_variable_warning(b);
         }
 
@@ -1083,4 +1087,5 @@
           : Parent(digraph, value) {}
 
+      private:
         /// \brief Copy constructor.
         ///
@@ -1120,4 +1125,5 @@
           : Parent(digraph, value) {}
 
+      private:
         /// \brief Copy constructor.
         ///
@@ -1216,4 +1222,5 @@
           : Parent(graph, value) {}
 
+      private:
         /// \brief Copy constructor.
         ///
Index: lemon/concepts/heap.h
===================================================================
--- lemon/concepts/heap.h	(revision 220)
+++ lemon/concepts/heap.h	(revision 290)
@@ -130,5 +130,4 @@
       /// Otherwise it inserts the given item with the given priority.
       ///
-      /// It may throw an \ref UnderflowPriorityException.
       /// \param i The item.
       /// \param p The priority.
Index: lemon/concepts/maps.h
===================================================================
--- lemon/concepts/maps.h	(revision 220)
+++ lemon/concepts/maps.h	(revision 314)
@@ -23,5 +23,5 @@
 #include <lemon/concept_check.h>
 
-///\ingroup concept
+///\ingroup map_concepts
 ///\file
 ///\brief The concept of maps.
@@ -31,5 +31,5 @@
   namespace concepts {
 
-    /// \addtogroup concept
+    /// \addtogroup map_concepts
     /// @{
 
Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 236)
+++ lemon/concepts/path.h	(revision 281)
@@ -21,5 +21,4 @@
 ///\brief Classes for representing paths in digraphs.
 ///
-///\todo Iterators have obsolete style
 
 #ifndef LEMON_CONCEPT_PATH_H
@@ -67,5 +66,8 @@
       /// \brief Template assigment
       template <typename CPath>
-      Path& operator=(const CPath& cpath) {}
+      Path& operator=(const CPath& cpath) {
+        ignore_unused_variable_warning(cpath);
+        return *this;
+      }
 
       /// Length of the path ie. the number of arcs in the path.
